/**
 * Created by IntelliJ IDEA.
 * User: o_215
 * Date: 28.10.2009
 * Time: 18:44:56
 * To change this template use File | Settings | File Templates.
 */
import java.util.*;
import java.io.*;

public class C {
    public static void main(String[] args) throws Exception{
        Scanner in= new Scanner(new File("mean.in"));
        PrintWriter out=new PrintWriter(new File("mean.out"));
        int N=in.nextInt();
        int A=in.nextInt();
        int B=in.nextInt();
        int[] mean=new int[N];
        if(B*N%100==0){
            Arrays.fill(mean,A);
            mean[0]+=B*N/100;
            for(int i=0;i<N;i++){
                out.print(mean[i]+" ");
            }
        }else{out.println(0);}
        in.close();
        out.close();
    }

}
